Bug 1381327 - LUC is presented as FMW in gnome-software
Summary: LUC is presented as FMW in gnome-software
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F25FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-10-03 17:35 UTC by Kamil Páral
Modified: 2016-10-09 02:43 UTC (History)
4 users (show)

Fixed In Version: liveusb-creator-3.95.4-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-09 02:43:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1380859 None None None Never

Internal Links: 1380859

Description Kamil Páral 2016-10-03 17:35:55 UTC
Description of problem:
See bug 1380859 comment 1. Currently LUC is presented as FMW in gnome-software. That is confusing to our users who want to use FMW to install Fedora (instead, they'll try to use LUC, which is very much broken).

Please make sure gnome-software users do not confuse LUC for FMW.

liveusb-creator-3.95.2-1.fc25
(and also F23, F24, Rawhide)

Comment 1 Kamil Páral 2016-10-03 17:36:31 UTC
I'm proposing this as a Final blocker. I believe it's conditional violation of this Beta criterion:
"Release-blocking live and dedicated installer images must boot when written to optical media of an appropriate size (if applicable) and when written to a USB stick with any of the officially supported methods."
https://fedoraproject.org/wiki/Fedora_25_Beta_Release_Criteria#Release-blocking_images_must_boot

FMW is the first method mentioned in the official methods link. It is true that everything technically works as long as you install it with dnf, but if you use gnome-software, everything *seems* broken and people will have no knowledge of the underlying issue.

Comment 2 Petr Schindler 2016-10-03 18:01:42 UTC
Discussed at 2016-10-03 blocker review meeting: [1]. 

This bug was accepted as Final blocker: this is accepted as a conditional violation of "Release-blocking live and dedicated installer images must boot when written to optical media of an appropriate size (if applicable) and when written to a USB stick with any of the officially supported methods", as we think we can live with the confusion for Beta but it's not acceptable for Final

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-10-03/

Comment 3 Martin Bříza 2016-10-04 11:56:07 UTC
I changed all the strings in LUC back to "Fedora LiveUSB Creator" instead of "Fedora Media Writer" and pushed the update to Bodhi.

Comment 4 Fedora Update System 2016-10-05 01:54:02 UTC
liveusb-creator-3.95.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffd93a9542

Comment 5 Fedora Update System 2016-10-09 02:43:30 UTC
liveusb-creator-3.95.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.